Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 122133 - Username and Password on Cone Other not working
Username and Password on Cone Other not working
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
: RELNOTE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 11:58 UTC by John Rice
Modified: 2008-02-20 21:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
propsoed patch (6.21 KB, patch)
2007-11-20 11:26 UTC, Padraig Obriain
Details | Diff
Updated patch (6.67 KB, patch)
2007-11-20 14:28 UTC, Padraig Obriain
Details | Diff
Proposed patch (3.90 KB, text/plain)
2007-12-12 19:16 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Rice 2007-11-16 11:58:45 UTC
When you select http or https in the Clone Other wizard you see a Username and Password field. Entering information into
them has no effect.

The UI is there but the information is not being passed onto the hg commands. This needs to be implemented.

Release note.
Comment 1 John Rice 2007-11-19 16:32:52 UTC
Further investigation:

HTTPS authorisation is only supported in Mercurial from the console. It is not supported in non interactive mode, so
there is no way for us to pass a username and password from within the plug-in:

/usr/lib/python2.4/vendor-packages/mercurial/httprepo.py
         :
       if not self.ui.interactive:
           raise util.Abort(_('http authorization required'))

So we will disable https support from the Clone Other and Push/Pull commands. Users then have the choice of accessing a
repository via http or ssh. With ssh you need to connect to the repository from the command line or other ssh utility to
cache the server certificate on the client, once this has been done the plug-in can connect to the ssh repository
without requiring any further user interaction.
Comment 2 Padraig Obriain 2007-11-20 11:26:29 UTC
Created attachment 53234 [details]
propsoed patch
Comment 3 Padraig Obriain 2007-11-20 11:28:39 UTC
The attached patch removes refreence to https and iusername and password fields.
Comment 4 Padraig Obriain 2007-11-20 14:28:23 UTC
Created attachment 53245 [details]
Updated patch
Comment 5 Padraig Obriain 2007-11-20 14:29:21 UTC
There was an error in the original patch in that it still displayed the username label. This is corrected in the updated
patch.
Comment 6 Padraig Obriain 2007-11-20 14:54:43 UTC
bash-3.2$ cat ~/output
IDE:-------------------------------------------------
IDE: [11/20/07 2:44 PM] Committing Files started
Checking in Repository.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/repository/Repository.java,v
 <--  Repository.java
new revision: 1.12; previous revision: 1.11
done
Checking in Bundle.properties;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/repository/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.6; previous revision: 1.5
done
IDE: [11/20/07 2:44 PM] Committing Files finished
Comment 7 John Rice 2007-12-12 16:29:19 UTC
Reopening this as it is possible to send username password as part of the URL for HTTP and Hg will accept it. 

http://[user[:password]@]host[:port]/[path] 

Currently entering this into the clone wizard you get:
"Cannot access the repository" for this pattern. 

This is due to a validation failure in the RepositoryStepProgress.perform() code, which is returning -1 for the
HttpURLConnection con.getResponseCode()
Comment 8 John Rice 2007-12-12 19:16:58 UTC
Created attachment 54208 [details]
Proposed patch
Comment 9 John Rice 2007-12-13 13:44:47 UTC
Committed to Head.
Comment 10 Karthikeyan Rajeswaran 2008-02-20 21:56:38 UTC
Removing release601_fixes_candidate1 status-whiteboard since this fix was included as part of Hg respin (which was 
released together with patch1).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo